interactions:
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      User-Agent:
      - tests/v311
    method: GET
    uri: http://localhost:3000/api/v1/accounts/verify_credentials
  response:
    body:
      string: '{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":"2023-06-23","noindex":false,"source":{"privacy":"public","sensitive":false,"language":null,"note":"I
        walk funny","fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}],"follow_requests_count":0},"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}],"role":{"id":"-99","name":"","permissions":"65536","color":"","highlighted":false}}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"129465eaa44ee0d847c8750bc84e4f20"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 11602b7e-2fa8-4d23-a974-1ba8aa54c666
      X-Runtime:
      - '0.013154'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: send_email_notification=1&type=disable
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      Content-Length:
      - '38'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139/action
  response:
    body:
      string: '{}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"44136fa355b3678a1146ad16f7e8649e"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - e8e5b1f3-2cf5-4d68-bf3b-6f039be97857
      X-Runtime:
      - '0.040524'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      User-Agent:
      - tests/v311
    method: GET
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139
  response:
    body:
      string: '{"id":"110594123259982139","username":"mastodonpy_test","domain":null,"created_at":"2023-06-23T14:59:58.386Z","email":"mastodonpy_test@localhost:3000","ip":null,"confirmed":true,"suspended":false,"silenced":false,"sensitized":false,"disabled":true,"approved":true,"locale":"ja","invite_request":null,"ips":[],"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"role":{"id":"-99","name":"","permissions":"65536","color":"","highlighted":false}}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"3db54cdc3ba685ed7bbdbc3562ae3d24"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 3f2c29dc-cc04-4444-a4d2-0418905329a3
      X-Runtime:
      - '0.016484'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139/enable
  response:
    body:
      string: '{"id":"110594123259982139","username":"mastodonpy_test","domain":null,"created_at":"2023-06-23T14:59:58.386Z","email":"mastodonpy_test@localhost:3000","ip":null,"confirmed":true,"suspended":false,"silenced":false,"sensitized":false,"disabled":false,"approved":true,"locale":"ja","invite_request":null,"ips":[],"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"role":{"id":"-99","name":"","permissions":"65536","color":"","highlighted":false}}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"87420cf27f0f0640b697addd4d84984b"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 0a9baf92-6856-458a-9801-34e29737e3e7
      X-Runtime:
      - '0.028182'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: send_email_notification=1&type=silence
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      Content-Length:
      - '38'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139/action
  response:
    body:
      string: '{}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"44136fa355b3678a1146ad16f7e8649e"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - b807122e-c7c7-4f18-94ff-1548fd512530
      X-Runtime:
      - '0.020617'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      User-Agent:
      - tests/v311
    method: GET
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139
  response:
    body:
      string: '{"id":"110594123259982139","username":"mastodonpy_test","domain":null,"created_at":"2023-06-23T14:59:58.386Z","email":"mastodonpy_test@localhost:3000","ip":null,"confirmed":true,"suspended":false,"silenced":true,"sensitized":false,"disabled":false,"approved":true,"locale":"ja","invite_request":null,"ips":[],"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":"2023-06-23","limited":true,"noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"role":{"id":"-99","name":"","permissions":"65536","color":"","highlighted":false}}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"ce4bc8c4a22f7155ea550260cdee104e"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - d844decc-01c9-45fa-9a2a-4480f5ea8178
      X-Runtime:
      - '0.018614'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139/unsilence
  response:
    body:
      string: '{"id":"110594123259982139","username":"mastodonpy_test","domain":null,"created_at":"2023-06-23T14:59:58.386Z","email":"mastodonpy_test@localhost:3000","ip":null,"confirmed":true,"suspended":false,"silenced":false,"sensitized":false,"disabled":false,"approved":true,"locale":"ja","invite_request":null,"ips":[],"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"role":{"id":"-99","name":"","permissions":"65536","color":"","highlighted":false}}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"87420cf27f0f0640b697addd4d84984b"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 1a7cb50a-4c3e-47bd-b7b6-7dc14613f1ea
      X-Runtime:
      - '0.028122'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: send_email_notification=1&type=sensitive
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      Content-Length:
      - '40'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139/action
  response:
    body:
      string: '{}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"44136fa355b3678a1146ad16f7e8649e"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 740a62fe-64b8-4491-9519-131f16d864ed
      X-Runtime:
      - '0.021061'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      User-Agent:
      - tests/v311
    method: GET
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139
  response:
    body:
      string: '{"id":"110594123259982139","username":"mastodonpy_test","domain":null,"created_at":"2023-06-23T14:59:58.386Z","email":"mastodonpy_test@localhost:3000","ip":null,"confirmed":true,"suspended":false,"silenced":false,"sensitized":true,"disabled":false,"approved":true,"locale":"ja","invite_request":null,"ips":[],"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"role":{"id":"-99","name":"","permissions":"65536","color":"","highlighted":false}}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"25704e6978ea5439af2b5bc829c50b6a"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 9224a89d-a1f9-4dc0-9468-8804f8574cdd
      X-Runtime:
      - '0.018510'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: !!binary |
[encoded data, 77937 characters]
      MzJkOWU1ZDk4ZjY1ZTYxODEtLQ0K
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '53544'
      Content-Type:
      - multipart/form-data; boundary=ca9acbbef460be232d9e5d98f65e6181
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v2/media
  response:
    body:
      string: '{"id":"110594128038129967","type":"image","url":"http://localhost:3000/system/media_attachments/files/110/594/128/038/129/967/original/6dec9160b44fef15.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/110/594/128/038/129/967/small/6dec9160b44fef15.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":480,"height":480,"size":"480x480","aspect":1.0}},"description":null,"blurhash":"UGD9YhIn00j[NFofR%M{IURj%Ms;D%of%MR%"}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"94806fb38999f7d53bd3d468856b2dad"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 592dbf98-5d4a-42e7-b039-b91a1a8672e6
      X-Runtime:
      - '0.168450'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: status=oh+no%21&media_ids%5B%5D=110594128038129967
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '50'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/statuses
  response:
    body:
      string: '{"id":"110594128039979151","created_at":"2023-06-23T15:01:11.315Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":false,"spoiler_text":"","visibility":"public","language":"ja","uri":"http://localhost:3000/users/mastodonpy_test/statuses/110594128039979151","url":"http://localhost:3000/@mastodonpy_test/110594128039979151","replies_count":0,"reblogs_count":0,"favourites_count":0,"edited_at":null,"favourited":false,"reblogged":false,"muted":false,"bookmarked":false,"pinned":false,"content":"\u003cp\u003eoh
        no!\u003c/p\u003e","filtered":[],"reblog":null,"application":{"name":"Mastodon.py
        test suite","website":null},"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":1,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"media_attachments":[{"id":"110594128038129967","type":"image","url":"http://localhost:3000/system/media_attachments/files/110/594/128/038/129/967/original/6dec9160b44fef15.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/110/594/128/038/129/967/small/6dec9160b44fef15.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":480,"height":480,"size":"480x480","aspect":1.0}},"description":null,"blurhash":"UGD9YhIn00j[NFofR%M{IURj%Ms;D%of%MR%"}],"mentions":[],"tags":[],"emojis":[],"card":null,"poll":null}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"07ef15308311b673e4e589c4b203a408"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-RateLimit-Limit:
      - '300'
      X-RateLimit-Remaining:
      - '295'
      X-RateLimit-Reset:
      - '2023-06-23T18:00:00.347281Z'
      X-Request-Id:
      - 698d5249-42af-46bf-ae65-076ab3aa4813
      X-Runtime:
      - '0.048787'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      User-Agent:
      - tests/v311
    method: GET
    uri: http://localhost:3000/api/v1/statuses/110594128039979151
  response:
    body:
      string: '{"id":"110594128039979151","created_at":"2023-06-23T15:01:11.315Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":true,"spoiler_text":"","visibility":"public","language":"ja","uri":"http://localhost:3000/users/mastodonpy_test/statuses/110594128039979151","url":"http://localhost:3000/@mastodonpy_test/110594128039979151","replies_count":0,"reblogs_count":0,"favourites_count":0,"edited_at":null,"favourited":false,"reblogged":false,"muted":false,"bookmarked":false,"content":"\u003cp\u003eoh
        no!\u003c/p\u003e","filtered":[],"reblog":null,"application":{"name":"Mastodon.py
        test suite","website":null},"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":1,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"media_attachments":[{"id":"110594128038129967","type":"image","url":"http://localhost:3000/system/media_attachments/files/110/594/128/038/129/967/original/6dec9160b44fef15.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/110/594/128/038/129/967/small/6dec9160b44fef15.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":480,"height":480,"size":"480x480","aspect":1.0}},"description":null,"blurhash":"UGD9YhIn00j[NFofR%M{IURj%Ms;D%of%MR%"}],"mentions":[],"tags":[],"emojis":[],"card":null,"poll":null}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"8c32226b3a8d85f163385db64c0cd32c"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - eb70b73f-e4ff-4b66-928a-fcc5e5ec0196
      X-Runtime:
      - '0.045355'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      User-Agent:
      - tests/v311
    method: DELETE
    uri: http://localhost:3000/api/v1/statuses/110594128039979151
  response:
    body:
      string: '{"id":"110594128039979151","created_at":"2023-06-23T15:01:11.315Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":false,"spoiler_text":"","visibility":"public","language":"ja","uri":"http://localhost:3000/users/mastodonpy_test/statuses/110594128039979151","url":"http://localhost:3000/@mastodonpy_test/110594128039979151","replies_count":0,"reblogs_count":0,"favourites_count":0,"edited_at":null,"favourited":false,"reblogged":false,"muted":false,"bookmarked":false,"pinned":false,"text":"oh
        no!","filtered":[],"reblog":null,"application":{"name":"Mastodon.py test suite","website":null},"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"media_attachments":[{"id":"110594128038129967","type":"image","url":"http://localhost:3000/system/media_attachments/files/110/594/128/038/129/967/original/6dec9160b44fef15.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/110/594/128/038/129/967/small/6dec9160b44fef15.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":480,"height":480,"size":"480x480","aspect":1.0}},"description":null,"blurhash":"UGD9YhIn00j[NFofR%M{IURj%Ms;D%of%MR%"}],"mentions":[],"tags":[],"emojis":[],"card":null,"poll":null}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"8b20687d3790396be20c0d461a72ab7a"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - f0e94cb0-ea6d-421a-ae8a-f08c68b636dc
      X-Runtime:
      - '0.035386'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139/unsensitive
  response:
    body:
      string: '{"id":"110594123259982139","username":"mastodonpy_test","domain":null,"created_at":"2023-06-23T14:59:58.386Z","email":"mastodonpy_test@localhost:3000","ip":null,"confirmed":true,"suspended":false,"silenced":false,"sensitized":false,"disabled":false,"approved":true,"locale":"ja","invite_request":null,"ips":[],"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"role":{"id":"-99","name":"","permissions":"65536","color":"","highlighted":false}}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"87420cf27f0f0640b697addd4d84984b"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - e229088d-9453-4b93-87c7-e9b655bb537a
      X-Runtime:
      - '0.032558'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: !!binary |
[encoded data, 77937 characters]
      OGY2YjY0ZDdlYjRlYjUwY2YtLQ0K
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '53544'
      Content-Type:
      - multipart/form-data; boundary=19a4bc26c67c53d8f6b64d7eb4eb50cf
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v2/media
  response:
    body:
      string: '{"id":"110594128064573994","type":"image","url":"http://localhost:3000/system/media_attachments/files/110/594/128/064/573/994/original/83adec1e9c3dc5a1.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/110/594/128/064/573/994/small/83adec1e9c3dc5a1.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":480,"height":480,"size":"480x480","aspect":1.0}},"description":null,"blurhash":"UGD9YhIn00j[NFofR%M{IURj%Ms;D%of%MR%"}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"6923a5d8ce300412373b15cb505bd124"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - ba3422e5-c7d4-410b-a286-a9a780a56c56
      X-Runtime:
      - '0.164153'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: status=oh+no%21&media_ids%5B%5D=110594128064573994
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '50'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/statuses
  response:
    body:
      string: '{"id":"110594128066480345","created_at":"2023-06-23T15:01:11.719Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":false,"spoiler_text":"","visibility":"public","language":"ja","uri":"http://localhost:3000/users/mastodonpy_test/statuses/110594128066480345","url":"http://localhost:3000/@mastodonpy_test/110594128066480345","replies_count":0,"reblogs_count":0,"favourites_count":0,"edited_at":null,"favourited":false,"reblogged":false,"muted":false,"bookmarked":false,"pinned":false,"content":"\u003cp\u003eoh
        no!\u003c/p\u003e","filtered":[],"reblog":null,"application":{"name":"Mastodon.py
        test suite","website":null},"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":1,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"media_attachments":[{"id":"110594128064573994","type":"image","url":"http://localhost:3000/system/media_attachments/files/110/594/128/064/573/994/original/83adec1e9c3dc5a1.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/110/594/128/064/573/994/small/83adec1e9c3dc5a1.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":480,"height":480,"size":"480x480","aspect":1.0}},"description":null,"blurhash":"UGD9YhIn00j[NFofR%M{IURj%Ms;D%of%MR%"}],"mentions":[],"tags":[],"emojis":[],"card":null,"poll":null}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"c35a4a494c81a5bde0f24320e52d4295"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-RateLimit-Limit:
      - '300'
      X-RateLimit-Remaining:
      - '294'
      X-RateLimit-Reset:
      - '2023-06-23T18:00:00.753810Z'
      X-Request-Id:
      - d2b75051-8990-49a3-a5d8-c9c928ab77d1
      X-Runtime:
      - '0.051692'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      User-Agent:
      - tests/v311
    method: GET
    uri: http://localhost:3000/api/v1/statuses/110594128066480345
  response:
    body:
      string: '{"id":"110594128066480345","created_at":"2023-06-23T15:01:11.719Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":false,"spoiler_text":"","visibility":"public","language":"ja","uri":"http://localhost:3000/users/mastodonpy_test/statuses/110594128066480345","url":"http://localhost:3000/@mastodonpy_test/110594128066480345","replies_count":0,"reblogs_count":0,"favourites_count":0,"edited_at":null,"favourited":false,"reblogged":false,"muted":false,"bookmarked":false,"content":"\u003cp\u003eoh
        no!\u003c/p\u003e","filtered":[],"reblog":null,"application":{"name":"Mastodon.py
        test suite","website":null},"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":1,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"media_attachments":[{"id":"110594128064573994","type":"image","url":"http://localhost:3000/system/media_attachments/files/110/594/128/064/573/994/original/83adec1e9c3dc5a1.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/110/594/128/064/573/994/small/83adec1e9c3dc5a1.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":480,"height":480,"size":"480x480","aspect":1.0}},"description":null,"blurhash":"UGD9YhIn00j[NFofR%M{IURj%Ms;D%of%MR%"}],"mentions":[],"tags":[],"emojis":[],"card":null,"poll":null}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"36cc8d764f7217d6081da8816b5f7b11"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 06d9de32-f6e4-46a6-9a4c-d168227453ef
      X-Runtime:
      - '0.031209'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      User-Agent:
      - tests/v311
    method: DELETE
    uri: http://localhost:3000/api/v1/statuses/110594128066480345
  response:
    body:
      string: '{"id":"110594128066480345","created_at":"2023-06-23T15:01:11.719Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":false,"spoiler_text":"","visibility":"public","language":"ja","uri":"http://localhost:3000/users/mastodonpy_test/statuses/110594128066480345","url":"http://localhost:3000/@mastodonpy_test/110594128066480345","replies_count":0,"reblogs_count":0,"favourites_count":0,"edited_at":null,"favourited":false,"reblogged":false,"muted":false,"bookmarked":false,"pinned":false,"text":"oh
        no!","filtered":[],"reblog":null,"application":{"name":"Mastodon.py test suite","website":null},"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"media_attachments":[{"id":"110594128064573994","type":"image","url":"http://localhost:3000/system/media_attachments/files/110/594/128/064/573/994/original/83adec1e9c3dc5a1.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/110/594/128/064/573/994/small/83adec1e9c3dc5a1.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":480,"height":480,"size":"480x480","aspect":1.0}},"description":null,"blurhash":"UGD9YhIn00j[NFofR%M{IURj%Ms;D%of%MR%"}],"mentions":[],"tags":[],"emojis":[],"card":null,"poll":null}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"2dfcd5376f740374eeb0e66ea2513834"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - c33421dc-1bb9-4d50-b03b-1e0232ed3ad6
      X-Runtime:
      - '0.035125'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: send_email_notification=1&type=suspend
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      Content-Length:
      - '38'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139/action
  response:
    body:
      string: '{}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"44136fa355b3678a1146ad16f7e8649e"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 1a51a533-288a-4bd7-9278-8ec34db86132
      X-Runtime:
      - '0.035132'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      User-Agent:
      - tests/v311
    method: GET
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139
  response:
    body:
      string: '{"id":"110594123259982139","username":"mastodonpy_test","domain":null,"created_at":"2023-06-23T14:59:58.386Z","email":"mastodonpy_test@localhost:3000","ip":null,"confirmed":true,"suspended":true,"silenced":false,"sensitized":false,"disabled":false,"approved":true,"locale":"ja","invite_request":null,"ips":[],"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"","locked":false,"bot":false,"discoverable":false,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/avatars/original/missing.png","avatar_static":"http://localhost:3000/avatars/original/missing.png","header":"http://localhost:3000/headers/original/missing.png","header_static":"http://localhost:3000/headers/original/missing.png","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":"2023-06-23","suspended":true,"noindex":false,"emojis":[],"roles":[],"fields":[]},"role":{"id":"-99","name":"","permissions":"65536","color":"","highlighted":false}}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"3fa87635ef69fa8eea75c5d001540e84"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 4f940772-e464-485c-9776-3c9a695a1075
      X-Runtime:
      - '0.017723'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139/unsuspend
  response:
    body:
      string: '{"id":"110594123259982139","username":"mastodonpy_test","domain":null,"created_at":"2023-06-23T14:59:58.386Z","email":"mastodonpy_test@localhost:3000","ip":null,"confirmed":true,"suspended":false,"silenced":false,"sensitized":false,"disabled":false,"approved":true,"locale":"ja","invite_request":null,"ips":[],"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"role":{"id":"-99","name":"","permissions":"65536","color":"","highlighted":false}}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"87420cf27f0f0640b697addd4d84984b"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - e2a56f6d-e750-43be-8d95-9afc4fe00f2a
      X-Runtime:
      - '0.033869'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139/unsuspend
  response:
    body:
      string: '{"error":"This action is not allowed"}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - c904f5f4-3578-48b7-94c7-4555526dd8f1
      X-Runtime:
      - '0.010864'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 403
      message: Forbidden
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139/enable
  response:
    body:
      string: '{"id":"110594123259982139","username":"mastodonpy_test","domain":null,"created_at":"2023-06-23T14:59:58.386Z","email":"mastodonpy_test@localhost:3000","ip":null,"confirmed":true,"suspended":false,"silenced":false,"sensitized":false,"disabled":false,"approved":true,"locale":"ja","invite_request":null,"ips":[],"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"role":{"id":"-99","name":"","permissions":"65536","color":"","highlighted":false}}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"87420cf27f0f0640b697addd4d84984b"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - fb9db9ad-b2bc-482c-89e1-eeb913786639
      X-Runtime:
      - '0.024856'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN_2
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/admin/accounts/110594123259982139/unsilence
  response:
    body:
      string: '{"id":"110594123259982139","username":"mastodonpy_test","domain":null,"created_at":"2023-06-23T14:59:58.386Z","email":"mastodonpy_test@localhost:3000","ip":null,"confirmed":true,"suspended":false,"silenced":false,"sensitized":false,"disabled":false,"approved":true,"locale":"ja","invite_request":null,"ips":[],"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"role":{"id":"-99","name":"","permissions":"65536","color":"","highlighted":false}}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"87420cf27f0f0640b697addd4d84984b"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 69b01b7b-e069-4254-9dc4-41d20d4f12d3
      X-Runtime:
      - '0.024107'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      User-Agent:
      - tests/v311
    method: DELETE
    uri: http://localhost:3000/api/v1/statuses/110594128066480345
  response:
    body:
      string: '{"error":"Record not found"}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 98034e35-10bf-43f7-80a3-e6a78987ad50
      X-Runtime:
      - '0.010569'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 404
      message: Not Found
version: 1
